<?php
require_once __DIR__ . '/functions.php';

return [
    'id'          => 'yandex',
    'type'        => 'oauth',
    'name'        => 'Яндекс ID',
    'description' => 'Быстрая авторизация через Яндекс.',
    'version'     => '1.0.0',
    'icon'        => 'icon.png',
    'install'     => 'yandex_oauth_install',

    'init' => function() {

        // Кнопка vk на формах логина/регистрации
        register_hook('render_oauth_buttons', function() {

            $application_id = get_plugin_setting('oauth_yandex', 'client_id');
            if (!$application_id) return;

            echo '
                <a href="' . homeLink() . '/oauth/yandex/auth" class="oauth-btn vk-btn">
                    <img src="' . homeLink() . '/admin/plugins/oauth/yandex/images/icon-but.png" alt="">
                </a>
            ';
        });
    }
];
